[Win32utils-devel] win32-api segfault

Heesob Park phasis at gmail.com
Fri Apr 18 08:39:59 EDT 2008


2008/4/18, Daniel Berger <djberg96 at gmail.com>:

> It looks like win32-api, both 1.0.5 and the latest in CVS, are
> segfaulting when I build with VC++ 8 or later. Both work fine with VC++
> 6, though.
> Thinking it might be strncpy_s, I removed that, but it didn't help. I
> installed a fresh Ruby built with VC++ 8 as well, but that didn't help
> either.
> Loaded suite C:/rubyvc8/lib/ruby/site_ruby/1.8/rake/rake_test_loader
> Started
> ............/test/tc_win32_api_callback.rb:45: [BUG] Segmentation fault
> ruby 1.8.6 (2008-03-03) [i386-mswin32_80]
> Any ideas?

I have no idea.

In my test with ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32_90]
the latest in CVS works fine.

BTW, why not use Visual C++ 2008 Express Edition(VC++ 9.0) ? It is free


Park Heesob
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/win32utils-devel/attachments/20080418/764dfcb1/attachment.html 

More information about the win32utils-devel mailing list